Package com.io7m.idstore.server.http

# Record Class IdHTTPResponseRedirect

java.lang.Object
java.lang.Record
com.io7m.idstore.server.http.IdHTTPResponseRedirect

Record Components:
  `cookies` - The cookies
  `path` - The path

All Implemented Interfaces:
  `IdHTTPResponseType`

public record IdHTTPResponseRedirect(Set<IdHTTPCookieDeclaration> cookies, String path) extends Record implements IdHTTPResponseType
A redirect response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPResponseRedirect(Set<IdHTTPCookieDeclaration> cookies, String path)`
  A redirect response.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OptionalLong`
  `contentLengthOptional()`
  `Set<IdHTTPCookieDeclaration>`
  `cookies()`
  Returns the value of the `cookies` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `path()`
  Returns the value of the `path` record component.
  `int`
  `statusCode()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdHTTPResponseRedirect

    public IdHTTPResponseRedirect(Set<IdHTTPCookieDeclaration> cookies, String path)
    A redirect response.
    Parameters:
      `cookies` - The cookies
      `path` - The path

- ## Method Details

  - ### statusCode

    public int statusCode()
    Specified by:
      `statusCode` in interface `IdHTTPResponseType`
    Returns:
      The response status code

  - ### contentLengthOptional

    public OptionalLong contentLengthOptional()
    Specified by:
      `contentLengthOptional` in interface `IdHTTPResponseType`
    Returns:
      The length of the content, if one is known

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### cookies

    public Set<IdHTTPCookieDeclaration> cookies()
    Returns the value of the `cookies` record component.
    Specified by:
      `cookies` in interface `IdHTTPResponseType`
    Returns:
      the value of the `cookies` record component

  - ### path

    public String path()
    Returns the value of the `path` record component.
    Returns:
      the value of the `path` record component